最新消息:关注【太平洋学习网】微信公众号,可以获取全套资料,【全套Java基础27天】【JavaEE就业视频4个月】【Android就业视频4个月】

快速解决java.lang.UnsupportedClassVersionError错误

Javaweb 太平洋学习网 浏览 评论

 我们在eclipse运行一个java方法的时候报:Exception in thread "main" java.lang.UnsupportedClassVersionError错误该如何解决呢?首先我们来分析一下UnsupportedClassVersionError是一个什么错误,从英文单词就可以看出是java版本出了问题,要么是你eclipse项目jdk版本太新,要么是太旧。

我们来看看项目的jdk版本,如下图所示,项目中的是jdk1.7.0_79

QQ截图20171126223611.jpg

然后我们来检查一下自己电脑的jdk版本,在cmd中使用java -version查看电脑的jdk版本,如图。

QQ截图20171126224139.jpg

从上面两张图中就可以看出我们eclipse项目的jdk版本和电脑环境变量配置的jdk版本不一致,只要将这两个jdk版本修改成一致即可解决java.lang.UnsupportedClassVersionError错误了。

来源网站:太平洋学习网,转载请注明出处:http://www.tpyyes.com/a/javaweb/2017/1126/407.html

    与本文相关的文章

    发表我的评论
    取消评论

    表情

    您的回复是我们的动力!

    • 昵称 (必填)

    网友最新评论